Transfer Status API

Check the final status of a previously initiated transfer.

Endpoint Information

POST https://api.moolre.com/open/transact/status

To test in sandbox, use https://sandbox.moolre.com/open/transact/status instead.

Authentication & Headers

Header NameTypeRequiredDescription
X-API-USERstringYesYour Moolre username.
X-API-KEYstringYesYour API Key (accepts both Public Key and Private Key). (Not required in Sandbox)

Request Parameters

ParameterTypeRequiredDescription
typeintegerYesMust be 1.
idtypestringYes1 = Unique externalref, 2 = Moolre Generated ID.
idstringYesThe reference ID to check.
accountnumberstringYesYour Moolre Account Number.

Response Examples

200 - Success

Transfer status details.

{
  "status": 1,
  "code": "SS01",
  "message": "Transaction Successful",
  "data": {
    "txstatus": 1,
    "txtype": 2,
    "accountnumber": "100000100002",
    "payer": "",
    "payee": "0246798993",
    "amount": "5",
    "value": "5",
    "transactionid": "31830714",
    "externalref": "1231231-12985",
    "thirdpartyref": "141704447750",
    "ts": "2024-01-05 09:42:33"
  },
  "go": null
}

← Back to AI Documentation Index | View Full API Reference